Skip to main content
GET
/
v1
/
aggregators
/
{raast-aggregator-id}
/
account-info
Read Account Info
curl --request GET \
  --url https://api.getsafepay.com/raastwire/v1/aggregators/{raast-aggregator-id}/account-info \
  --header 'X-SFPY-AGGREGATOR-SECRET-KEY: <api-key>'
{
  "api_version": "v1",
  "data": {
    "iban": "PK91ALFH0005001007079203",
    "type": "CAS_CONST_UNSPECIFIED",
    "currency": "PKR",
    "servicer_member_id": "ALFHPKKA",
    "name": "MIRZA",
    "is_default": false,
    "dba": "",
    "mcc": "",
    "account_title": "Title-1 1007079203",
    "account_type": "Account"
  }
}

Authorizations

X-SFPY-AGGREGATOR-SECRET-KEY
string
header
required

Path Parameters

raast-aggregator-id
string
required

The unique identifier for the aggregator

Example:

"agg_2288490a-2176-4de5-b373-0ffb6f8e2e6e"

Query Parameters

iban
string

IBAN to fetch account information for; optional when alias parameters are supplied.

Example:

"PK91ALFH0005001007079203"

with_title_fetch
boolean

When true, include account title details in the response.

Example:

true

alias_type
enum<string>

Alias type used for lookup; only MOBILE is supported currently.

Available options:
MOBILE
Example:

"MOBILE"

alias_value
integer

Alias value to resolve; must be provided when alias_type is supplied.

Example:

3472840476

Response

This response contains Raast account information details

Standard response structure for successful operations

api_version
string

The current version of the API spec

Example:

"v1"

data
object

Raast account metadata resolved by IBAN or alias lookup